# frozen_string_literal: true

module Locked
  module Commands
    class Verify
      def initialize(context)
        @context = context
      end

      def build(path, body, **options)
        context = Locked::Context::Merger.call(@context, options[:context])
        context = Locked::Context::Sanitizer.call(context)
        body_with_context = body.merge(context: context)

        Locked::Command.new(path, body_with_context, :post)
      end
    end
  end
end
